Secure Voice not available for Cisco SPA504G

  • 0
  • 1
  • Question
  • Updated 4 years ago
Archived and Closed

This conversation is no longer open for comments or replies and is no longer visible to community members. The community moderator provided the following reason for archiving: We have archived this topic as it has either reached a resolution has become inactive, or information contained in this thread is no longer accurate. If you have a related question on this subject, please post a new topic. Thank you The RingCentral C

There is conflicting information about Secure Voice. We have AT&T Office@Hand, which is the same thing as RingCentral, except delivered by AT&T. We use the Cisco SPA504G phones. AT&T says these are not eligible for Secure Voice; RingCentral says they are. AT&T says the reason is because these "older phones" are not compatible with the service (even though they are and are identical to the SPA508G, with exception to number of lines, which are supported). Can anyone tell me why this is the case?
Photo of Aaron Lippiatt

Aaron Lippiatt

  • 142 Points 100 badge 2x thumb

Posted 4 years ago

  • 0
  • 1
Photo of Joseph

Joseph

  • 1,020 Points 1k badge 2x thumb
I didn't even think ATT offered secure voice (TLS). They don't offer the HIPAA Conduit option. I was told that ATTs version of Ring Central is about 6 months to a year behind the latest from the actual Ring Central business. Not sure how true this is and I heard it about 6 months ago when I asked about the HIPAA conduit for our own Office@Hand account. We are actually closing our Office@Hand account and moving full Ring Central. I have so far been able to easily have my users and call groups moved over.
Photo of Aaron Lippiatt

Aaron Lippiatt

  • 142 Points 100 badge 2x thumb
They do support it. I received an email in March 2015 that it would be ready. They provisioned our "account", but would not let us activate it on our phones because they don't support it. Amazingly, they were selling the 504g's in November last year (not even a year ago). I've tested TLS settings on the phone by making manual changes and it works just fine; AT&T just refuses to provision on their end.
Photo of Joseph

Joseph

  • 1,020 Points 1k badge 2x thumb
HA! Interesting, and irritating! Why would they allow the account to be setup for TLS on one end but not allow client devices on the other?
I think I was trying to turn up TLS on our soft phones with ATT in Feb of this year and they said the service wasn't available with Office@Hand at the time, but that it would be at some point. My guess is they still aren't ready for TLS.
Photo of Aaron Lippiatt

Aaron Lippiatt

  • 142 Points 100 badge 2x thumb
They said that softphones and the mobile app are enabled for Secure Voice. For the phones, they have to provision it on the server end before we can use it. They won't do it for our 504g's. I spoke with a tech support agent and asked him why. He said the engineers did not want to support the "older phone models" (was the phrase he used).
Photo of Joseph

Joseph

  • 1,020 Points 1k badge 2x thumb
That sounds like a $$ thing. Ring Central statement to me when i turned it on for our account was simply that if the device could handle TLS then it would work. RC doesn't sell the 504g anymore, but surely they haven't stopped supporting it...idk...admins on here would know.
Photo of Mike

Mike, Official Rep

  • 93,948 Points 50k badge 2x thumb
I'll try to get confirmation from one of our engineers on this. 
Photo of Aaron Lippiatt

Aaron Lippiatt

  • 142 Points 100 badge 2x thumb
Thanks Mike.
Photo of Aaron Lippiatt

Aaron Lippiatt

  • 142 Points 100 badge 2x thumb
I got my answer from a RingCentral Level 2 Support rep. She said the RingCentral engineers determined that there are service problems with the firmware in the Cisco SPA504G phones. Thus, they dropped support for them. I ended up replacing the 504G's with the supported 514G, which is nearly-identical, except that the 514G sports a gigabit connection.
Photo of RC-Installer

RC-Installer, Champion

  • 27,716 Points 20k badge 2x thumb
Mike, I would like some clarity on this.  The firmware on the spa series phones are similar and I need to know if there are certain spa phones that will no longer be supported.

Please confirm

Thanks

Chuck
Certified Installer
Photo of Mike

Mike, Official Rep

  • 93,948 Points 50k badge 2x thumb
Hi Chuck,  I'll get some to contact you. 
Photo of Aaron Lippiatt

Aaron Lippiatt

  • 142 Points 100 badge 2x thumb
I should clarify the context of the phrase "dropped support for them." If you go into the AT&T Office@Hand portal, you can still activate/auto-provision Cisco SPA504G phones. However, you can no longer purchase them directly from their website as we were able to at the end of 2014. The support reps also mentioned that they "should work" as expected, but just not with Secure Voice. They will use UDP packets for the SIP protocol, even though the account is configured for Secure Voice. However, I have found that the "should work" was not the case in my scenario; some problems occurred which is why we upgraded and which led to my original question in this post.

This conversation is no longer open for comments or replies.